# GpgFrontend Project: src/core/common/CoreCommonUtil.h Source File

CoreCommonUtil.h
#ifndef GPGFRONTEND_CORECOMMONUTIL_H
#define GPGFRONTEND_CORECOMMONUTIL_H
#include <string>
#include "core/GpgFrontendCore.h"
namespace GpgFrontend {
class GPGFRONTEND_CORE_EXPORT CoreCommonUtil : public QObject {
Q_OBJECT
public:
static CoreCommonUtil *GetInstance();
CoreCommonUtil() = default;
void SetTempCacheValue(const std::string, const std::string);
std::string GetTempCacheValue(const std::string);
void ResetTempCacheValue(const std::string);
signals:
void SignalGnupgNotInstall();
private:
static std::unique_ptr<CoreCommonUtil> instance_;
std::map<std::string, std::string> temp_cache_; //<
};
} // namespace GpgFrontend
#endif // GPGFRONTEND_CORECOMMONUTIL_H
GpgFrontend::CoreCommonUtil
Definition: CoreCommonUtil.h:36
GpgFrontend
Definition: CoreCommonUtil.cpp:31